/**
 * title: "带搜索"
 * description: "通过 showSearch 属性控制显示搜索框。"
 */
import React from 'react';
import { Transfer } from '@alicloud/console-components';
var labels = [
    '默认项',
    '默认项',
    '默认项',
    '聚焦项',
    '默认项',
    '失效项',
    '默认项',
];
var getDataSource = function () {
    var result = [];
    for (var i = 0; i < 10; i++) {
        result.push({
            label: labels[i],
            value: "".concat(i),
            disabled: i === 5,
        });
    }
    return result;
};
var handleChange = function (value, data, extra) {
    console.log(value, data, extra);
};
export default (function () {
    return (React.createElement(Transfer, { showSearch: true, mode: "simple", defaultValue: ['3', '2'], defaultLeftChecked: ['1'], dataSource: getDataSource(), onChange: handleChange, titles: [
            React.createElement("span", { style: { fontWeight: 500 } }, "\u9879\u76EE\u5217\u6807\u9898"),
            React.createElement("span", { style: { fontWeight: 500 } }, "\u9879\u76EE\u5217\u6807\u9898"),
        ] }));
});
